# kanako (神奈子)
the adaptable password manager. named after [Kanako Yasaka](https://en.touhouwiki.net/wiki/Kanako_Yasaka)

## Backends supported
* [age](https://age-encryption.org)
* [gpg](https://gnupg.org)
* [saltpack (via salty)](https://git.mills.io/prologic/salty)

## Dependencies
* Any of the above, depending how you configured it
* `ls(1)` or `tree(1)` for printing a list
* `mandoc(1)` for documentation

## Add-ons

### kanako_gen
random username and password generator, requires `busybox(1)`

### kanako_menu
quick graphical front-end for kanako, works with either of `dmenu(1)`
or `bemenu(1)`, useful for copying passwords to clipboard.

### kanako_totp
time-based one time password addon for kanako, requires `oathtool(1)`
from oath-toolkit.

## License
* [Discordian Public License, version 2.3](https://gt.kalli.st/novaburst/discordian-public-license/src/branch/discordia/DPL-2.3)

## Related software
* [akoizumi/ayu](https://git.shelltalk.net/akoizumi/ayu) [predecessor]
* [biox/pa](https://github.com/biox/pa)
* [e-zk/page](https://github.com/e-zk/page)
* [kl3/spm](https://notabug.org/kl3/spm)
* [nmeum/tpm](https://github.com/nmeum/tpm)
* [shokara/angou](https://gt.kalli.st/shokara/angou)
* [zx2c4/pass](https://passwordstore.org)
